Back out bug  from Aurora 
Created attachment 
patch

[Tracking Requested - why for this release]:

I'd like to back out bug  from Aurora because of some of the regressions (see the bug's dependency tree), most notably those with pending UX needinfo requests: bug  bug 

Note that the backout removes a l10n string, so I assume we want to land this as soon as possible. Or maybe we should just leave the string there?
